Subject: bug#10348: 24.0.92; Save and load window states

From: "Drew Adams" <[email-masked]>
Date: Thu, 22 Dec 2011 09:14:07 -0800

> We have a variety of ways to deal with this:
> 
> (1) Do not save the `clone-of' parameter.  It's not yet useful anyway.
>      This will not solve the more general problem mentioned above.
> 
> (2) Do not save window parameters.  While this should fix all problems
>      in the context of this bug report, it will prevent us from saving
>      and restoring information needed to make applications 
>      work that rely on window parameters.
> 
> (3) Save only parameters whose value have a read syntax.  This can be
>      done either in `window-state-get' or in `my-save-frame'.
> 
> (4) Convert parameter values to something with a read syntax. 
>      Basically
>      this is what we already do with buffers (using the name of the
>      buffer instead of the buffer object) and can be easily done with
>      windows (save the window number instead of the window object).
> 
> (5) Make functions like `my-load-frame' aware that components of saved
>      window states might not have a read syntax and have them take the
>      appropriate action.
> 
> Unless you have a better suggestion I'll apply (1) for Emacs 24.1 and
> try to propose a combination of (3) and (4) for later releases.

Perhaps another possibility?

(6) Provide read syntax for all known parameter values.

Just a thought - no idea whether it is a good idea.